> ## Documentation Index
> Fetch the complete documentation index at: https://docs.transaction.gg/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Price

> Delete a price

Delete a price from a product.

<ParamField path="priceId" type="string" required>
  Price ID to delete
</ParamField>

<ResponseField name="success" type="boolean">
  Indicates if the request was successful
</ResponseField>

<ResponseField name="data" type="object">
  Deletion result
</ResponseField>

## Example Request

```bash theme={null}
curl -X DELETE https://api.transaction.gg/merchant/price/delete \
  -H "Authorization: Bearer jwt_token" \
  -H "Content-Type: application/json" \
  -d '{
    "priceId": "price_i62wKFQ8sGnLxQ5G"
  }'
```

## Example Response

```json theme={null}
{
  "success": true,
  "data": {
    "deleted": true,
    "priceId": "price_i62wKFQ8sGnLxQ5G"
  }
}
```

## Error Responses

<ResponseExample name="Price Not Found">
  ```json theme={null}
  {
    "success": false,
    "error": {
      "status": 404,
      "code": "PRICE_NOT_FOUND",
      "message": "Price not found"
    },
    "data": null
  }
  ```
</ResponseExample>
